[metadata]
name = igwn-lldd-common
version = attr: igwn_lldd_common.__version__
author = Rhys Poulton
author_email = poulton@ego-gw.it
description = International Gravitational Wave Network (IGWN) low latency data distribution
long_description = file: README.md
long_description_content_type = text/markdown
license = GPL-3.0-or-later
license_files = LICENSE
# urls
url = https://git.ligo.org/computing/lowlatency/igwn-lldd-common/
project_urls =
	Bug Tracker = https://git.ligo.org/computing/lowlatency/igwn-lldd-common/-/issues
	Source Code = https://git.ligo.org/computing/lowlatency/igwn-lldd-common
# classifiers
classifiers =
	Development Status :: 1 - Planning
	Intended Audience :: Science/Research
	License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)
	Natural Language :: English
	Operating System :: OS Independent
	Programming Language :: Python
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3.6
	Programming Language :: Python :: 3.7
	Programming Language :: Python :: 3.8
	Programming Language :: Python :: 3.9
	Programming Language :: Python :: 3.10
	Topic :: Scientific/Engineering :: Astronomy
	Topic :: Scientific/Engineering :: Physics

[options]
packages = find:
python_requires = >=3.6
install_requires =
	confluent-kafka
	configargparse
	gpstime
	watchdog
include_package_data = true

[options.entry_points]
console_scripts =
    kafka2frame = igwn_lldd_common.kafka2frame:main
    frame2kafka = igwn_lldd_common.frame2kafka:main

[options.extras_require]
# bring in the Apache kafka client
apache-kafka =
	kafka-python
# test suite
test =
	kafka-python
	pytest >=3.9.1
	pytest-cov >=2.4.0
	pytest-console-scripts
	pytest-rerunfailures

[flake8]
max-line-length = 88
select =
	E,
	EXE,
	F,
	W,
ignore =
	W503,
exclude =
	__pycache__,
	.eggs/,
	.git/,
